package {{invokerPackage}}.{{package}}.controller;

{{#imports}}
import {{import}};
{{/imports}}
import {{invokerPackage}}.{{package}}.service.{{baseName}}Service;
import javax.inject.Named;
import org.apache.camel.cdi.ContextName;
import org.kathra.utils.annotations.Eager;
import javax.enterprise.context.ApplicationScoped;

@Named("{{classname}}")
@ContextName("{{apiName}}")
@ApplicationScoped
@Eager
public class {{classname}} implements {{baseName}}Service {
{{#operations}}{{#operation}}
    /**
    * {{summary}}
    * {{notes}}
    {{#allParams}}
    * @param {{paramName}} {{{description}}}{{#required}} (required){{/required}}{{^required}} (optional{{#defaultValue}}, default to {{{.}}}{{/defaultValue}}){{/required}}
    {{/allParams}}
    {{#returnType}}
    * @return {{{returnType}}}
    {{/returnType}}
    */
    public {{#returnType}}{{{returnType}}} {{/returnType}}{{^returnType}}void {{/returnType}}{{nickname}}({{#allParams}}{{^isBodyParam}}{{/isBodyParam}}{{{dataType}}} {{paramName}}{{#hasMore}}, {{/hasMore}}{{/allParams}}) throws Exception {
        //TODO: Implement this method
        throw new UnsupportedOperationException("No implementation could be found for the requested operation.");
    }
{{/operation}}{{/operations}}
}
